# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakePolyline2d Class Reference

Translates Polyline entity into Geom2d_BSpline
In case if Polyline has more than 2 points bspline will be C0
.

`#include <StepToGeom_MakePolyline2d.hxx>`

Inheritance diagram for StepToGeom_MakePolyline2d:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakePolyline2d (const Handle(StepGeom_Polyline)&PL)
Standard_EXPORT const Handle_Geom2d_BSplineCurve & | Value () const

## Private Attributes

Handle_Geom2d_BSplineCurve | myBSpl

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakePolyline2d::StepToGeom_MakePolyline2d | ( | const Handle(StepGeom_Polyline)& | PL | ) |

## Member Function Documentation

void StepToGeom_MakePolyline2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakePolyline2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakePolyline2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_BSplineCurve& StepToGeom_MakePolyline2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_BSplineCurve StepToGeom_MakePolyline2d::myBSpl`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakePolyline2d.hxx